/**
 * Simple Write.
 *
 * Check if the mouse is over a rectangle and writes the status to the serial port.
 * This example works with the Wiring / Arduino program that follows below.
 */


import processing.serial.*;

Serial myPort;
int val;

void setup()
{
  size(500, 200);
  String portName = Serial.list()[0];
  myPort = new Serial(this, portName, 115200);
}

void draw() {
  background(255, 0, 0);
  if (mouseOverRect() == true) {
    fill(0, 255, 0);
    myPort.write('H');
  } else {
    fill(0);
    myPort.write('L');
  }

  rect(50, 50, 100, 100);

  textSize(32);
  fill(0);
  text("led on!", 210, 100);
}

boolean mouseOverRect() { // Test if mouse is over square
  return ((mouseX >= 50) && (mouseX <= 150) && (mouseY >= 50) && (mouseY <= 150));
}
